frontend/controllers/CartController.php
<?php
/**
 * Created by PhpStorm.
 * User: AcenetDev
 * Date: 1/31/2018
 * Time: 1:33 AM
 */

namespace frontend\controllers;


use common\models\DetailOrder;
use common\models\DxProduk;
use common\models\Order;
use common\models\Produk;
use common\models\ProdukOld;
//use common\widgets\shoppingCart\Cart;
use common\widgets\hcCart\Cart;
use common\cclass\Cart as CartData;
use common\widgets\shoppingCart\models\CartItemInterface;
use common\widgets\shoppingCart\widgets\CartGrid;
use frontend\models\CheckOrderForm;
use Yii;
use yii\base\Model;
use yii\bootstrap\Html;
use yii\data\ArrayDataProvider;
use yii\db\QueryBuilder;
use yii\di\Instance;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\web\Session;

class CartController extends Controller
{

    public function actionIndex()
    {
        $dataProvider = new ArrayDataProvider([
            'allModels' => Yii::$app->cart->getPositions(),
        ]);

        return $this->render('cart', [
            'dataProvider' => $dataProvider,
        ]);
    }

    public function actionAdd($id, $quantity = 1)
    {
        $model = $this->findModel($id);

        Yii::$app->cart->put($model, $quantity);
		Yii::$app->session->setFlash('success', $model->nama . ' Berhasil ditambahkan kedalam keranjang belanja.');
        //return $this->redirect(['index']);
        return $this->redirect(Yii::$app->request->referrer);
    }

    public function actionRemove($id)
    {
        $model = $this->findModel($id);

        Yii::$app->cart->remove($model);

        return $this->redirect(['index']);
    }

    public function actionClear()
    {
        Yii::$app->cart->removeAll();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Product model based on its slug.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Product the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = DxProduk::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException(Yii::t('frontend', 'The requested page does not exist.'));
        }
    }

    /**
     * Function actionUpdate for
     * Usage: actionUpdate()
     **/
    public function actionUpdate($id, $quantity)
    {
        $product = Produk::findOne($id);
        if ($product) {
            \Yii::$app->cart->update($product, $quantity);
            $this->redirect(['index']);
        }
    }

    /**
     * Function actionDelete for
     * Usage: actionDelete()
     **/
    public function actionDelete($id)
    {
        $product = Produk::findOne($id);
        if ($product) {
            \Yii::$app->cart->delete($product);
            $this->redirect(['index']);
        }
    }

    /**
     * Function  for
     * Usage: ()
     **/
    public function actionCheckOut()
    {

        $cartPositions = Yii::$app->cart->getPositions();

        if (!$cartPositions or $cartPositions === null or Yii::$app->user->isGuest) {
            Yii::$app->session->setFlash('error','Maaf anda harus registrasi/login terlebih dahulu untuk melanjutkan proses');

            return $this->redirect(['index']);
        }
        $user = Yii::$app->user->getIdentity();
        $model = new Order();
        $model->nama = $user->nama;
        $model->alamat = $user->alamat;
        $model->no_telp = $user->no_telp;
        $model->kota = $user->kota;
        $model->provinsi = $user->provinsi;
        $model->kode_pos = $user->kode_pos;
        $model->ongkir = param('biaya_pengiriman');

        $dataProvider = new ArrayDataProvider([
            'allModels' => $cartPositions,
        ]);

        return $this->render('check-out', [
            'model' => $model,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Public function actionProsesOrder() For
     **/
    public function actionProsesOrder()
    {
        $cartPositions = Yii::$app->cart->getPositions();

        if (!$cartPositions or $cartPositions === null or Yii::$app->user->isGuest && !Yii::$app->request->isPost) {
            Yii::$app->session->setFlash('error','Maaf anda harus registrasi/login terlebih dahulu untuk melanjutkan proses');
            return $this->redirect(['index']);
        }

        $dataProvider = new ArrayDataProvider([
            'allModels' => $cartPositions,
        ]);
        $transaction = Yii::$app->db->beginTransaction();
        $model = new Order();
        $model->load(Yii::$app->request->post());
//        if ($model->load(Yii::$app->request->post())) {
        $model->total_harga = Yii::$app->cart->getCost();
        $model->tgl_order = date('Y-m-d H:i');
        $model->id_pelanggan = Yii::$app->user->id;

        if ($model->validate() && $orderSave = $model->save()) {
            $detailOrderArr = [];
            foreach ($cartPositions as $row){
                $detailOrderArr[] = [
                    $model->id_order,$row->id_produk,$row->getPrice(),$row->getQuantity()
                ];
            }
            $db = Yii::$app->db;
            $builder = new QueryBuilder($db);
            $batch = $builder->batchInsert(DetailOrder::tableName(),[
                'id_order','id_produk','harga','jumlah'],$detailOrderArr);

            if($orderSave && $db->createCommand($batch)->execute()){
                $transaction->commit();
                Yii::$app->cart->removeAll();
            }else{

                $transaction->rollBack();
                goto roolback;
            }
            return $this->render('orderSuccess', [
                'model' => $model,
            ]);
        }else{
            Yii::$app->session->addFlash('error-order',$model->getErrors());
        }
//        }
        roolback:
        $this->redirect(['check-out']);
    }



    /**
     * Function  for
     * Usage: ()
     **/
    public function actionPayment()
    {
        return $this->render('payment');
    }

    /**
     * Function  for
     * Usage: ()
     **/
    public function actionKonfirmasiPembayaran($id = null)
    {
        $model = new Order();
        if($id){
            $model = Order::findOne($id);
        }

        $model->setScenario('update');
        $post = Yii::$app->request->post();
        if ($post){
            $model->load($post);
            if(!$id){
                $model2 = Order::findOne($model->id_order);
                $model2->setScenario('update');
                $model2->load($post);
                $model2->status_pembayaran = 1;
                $model2->tgl_pembayaran = date('Y-m-d h:i:s');
                if($model2->save()){
                    goto suucessKonf;
                }else{
                    echo Html::errorSummary($model2);
                };
            }else{
                $model->status_pembayaran = 1;
                $model->tgl_pembayaran = date('Y-m-d h:i:s');
                if ($model->save()){

                }else{
                    echo Html::errorSummary($model);
                }
suucessKonf:
                return $this->render('konfirmasiBerhasil',[
                    'model' => $model,
                ]);
            }
        }

        return $this->render('konfirmasi',[
            'model' => $model,
        ]);
    }

    /**
     * Public function actionCheckOrder() For
     **/
    public function actionCheckOrder()
    {
        $model = new CheckOrderForm();
        if ($model->load(Yii::$app->request->post())) {
            $model->checkOrder();
        }

        return $this->render('check-order', [
            'dataProvider' => $model->getOrder(),
            'model' => $model,
        ]);
    }

    /**
     * Public function actionDetail($id) For
     **/
    public function actionDetail($id)
    {
        $model = Order::findOne($id);

        return $this->render('detail',[
            'model' => $model
        ]);
    }

}

frontend/views/cart/cart.php
<?php
/**
 * Created by PhpStorm.
 * User: AcenetDev
 * Date: 1/31/2018
 * Time: 1:35 AM
 *
 * @var $this \yii\web\View
 */

use yii\bootstrap\Html;
use yii\grid\GridView;
use yii\helpers\Url;

$this->title = 'Keranjang Belanja';
//use common\widgets\shoppingCart\ShoppingCart;
?>
<div class="row">
    <!--Middle Part Start-->
    <div id="content" class="col-sm-12">
        <h1 class="title">Keranjang Belanja</h1>
        <?php
        echo \common\widgets\Alert::widget([]);

        if(Yii::$app->cart->getCount()){
            ?>
            <div class="table-responsive">
                <?= GridView::widget([
                    'dataProvider' => $dataProvider,
                    'layout' => '{items}',
                    'columns' => [
                        [
                            'attribute' => 'images',
                            'label' => Yii::t('app', 'Foto'),
                            'format' => 'html',
                            'value' => function ($model) {
                                return img($model->getThumbUploadUrl('images'),['width' => 75, 'class' =>'img-thumbnail']);
                            },
                            'contentOptions' => [
                                'style' => 'width: 15%',
                                'class'=>"text-center"
                            ],
                        ],
                        [
                            'attribute' => 'nama',
                            'label' => Yii::t('app', 'Nama Produk'),
                            'format' => 'html',
                            'value' => function ($model) {
                                return a($model->nama, ['/product/view', 'id' => $model->id_produk]);
                            },
                        ],
                        [
                            'attribute' => 'id_kategori',
                            'label' => Yii::t('app', 'Kategori'),
                            'format' => 'html',
                            'value' => function ($model) {
                                return a($model->kategori->nama_kategori, ['product/kategori', 'id' => $model->id_kategori]);
                            },
                        ],
                        [
                            'format' => 'raw',
                            'attribute' => 'quantity',
                            'label' => 'Quantity',
                            'value' => function ($model) {
                                $htmlInput = "<div class=\"input-group btn-block quantity\">
                            <input type=\"number\" name=\"quantity\" value=\"".$model->getQuantity()."\" class=\"form-control\" />
                            <span class=\"input-group-btn\">
                                <button type=\"button\" data-toggle=\"tooltip\" title=\"Update\" class=\"btn btn-primary btnUpdateCart\"><i class=\"fa fa-refresh\"></i></button>
                                ".a("<i class=\"fa fa-times-circle\"></i>",['cart/remove', 'id' => $model->id_produk],[
                                        'class'=>"btn btn-danger"
                                    ])."                                
                            </span>
                        </div>";
                                return $htmlInput;
                            },
                        ],[
                            'attribute' => 'price',
                            'format' => 'currency',
                            'label' => Yii::t('app', 'Harga'),
                        ],
                        [
                            'label' => 'Sub Total',
                            'format' => 'currency',
                            'value' => function ($model) {
                                return $model->getCost();
                            }
                        ]
                    ],
                ])?>
            </div>
            <div class="row">
                <div class="col-sm-4 col-sm-offset-8">
                    <table class="table table-bordered">
                        <tr>
                            <td class="text-right"><strong>Bruto:</strong></td>
                            <td class="text-right"><?= Yii::$app->formatter->asCurrency(Yii::$app->cart->getCost()) ?></td>
                        </tr>
                        <tr>
                            <td class="text-right"><strong>Biaya Pengiriman</strong></td>
                            <td class="text-right"><?= formatter()->asCurrency(param('biaya_pengiriman'))?></td>
                        </tr>
                        <tr>
                            <td class="text-right"><strong>Total:</strong></td>
                            <td class="text-right"><?= Yii::$app->formatter->asCurrency((param('biaya_pengiriman') + Yii::$app->cart->getCost())) ?></td>
                        </tr>
                    </table>
                </div>
            </div>
            <?php
        }else{
            echo Html::tag('h3','Maaf anda tidak memiliki produk di keranjang belanja');
        }
        ?>


        <div class="buttons">
            <div class="pull-left"><a href="<?= Url::to(['/product'])?>" class="btn btn-default">Kembali Belanja</a></div>
            <div class="pull-right"><a href="<?= Url::to(['/cart/check-out'])?>" class="btn btn-primary">Proses Pesanan</a></div>
        </div>
    </div>
    <!--Middle Part End -->
</div>
    
<?php
$updateLink = \yii\helpers\Url::to(['update']);
$js = <<<JS
$('.btnUpdateCart').on('click',function() {
    var tr = $(this).parents('tr');
    var input = $(this).parents('td').find('input');
    var dataKey = tr.data('key');
    var dataValue = input.val();
    window.location = '$updateLink'+ '?id=' + dataKey + '&quantity=' + dataValue;
});
JS;

$this->registerJs($js);

?>

frontend/views/cart/check-order.php
<?php
/**
 * Created by PhpStorm.
 * User: ASUS
 * Date: 10/04/2018
 * Time: 22:08
 * Project: pie-susu-vanie
 *
 * @var $this \yii\web\View
 * @var $model \frontend\models\CheckOrderForm
 * @var $modelResult \frontend\models\CheckOrderForm
 */

use yii\bootstrap\Html;
use yii\grid\GridView;
use yii\helpers\Url;

$this->title = 'Cek Order';
?>

<div class="row">
    <!--Middle Part Start-->
    <div id="content" class="col-sm-12">
        <h1 class="title">Pesanan Saya</h1>
        <?php $form = \yii\bootstrap\ActiveForm::begin()?>
        <div class="row">
            <div class="col-sm-4 col-sm-offset-8">
                <?= $form->field($model,'no_order')?>
                <div class="form-group">
                    <?= Html::submitButton(Yii::t('app', 'Check'), ['class' => 'btn btn-success']) ?>
                </div>
            </div>
        </div>
        <?php \yii\bootstrap\ActiveForm::end()?>
        <?php
        if($dataProvider){
            ?>
            <div class="table-responsive">
                <?= GridView::widget([
                    'dataProvider' => $dataProvider,
                    'layout' => '{items}',
                    'columns' => [
                        'id_order',
                        'tgl_order:date:Tanggal Order',
                        [
                            'attribute' => 'status_pembayaran',
                            'label' => 'Status Pembayaran',
                            'value' => function($model){
                                return ($model->status_pembayaran)? 'Berhasil':'Belum Konfirmasi';
//                                $validasi = ($model->validasi)? 'Sudah Validasi':'Belum Validasi';
                            }
                        ],
                        [
                            'attribute' => 'metode_pembayaran',
                            'value' => function($model){
                                return \yii\helpers\ArrayHelper::getValue(param('metode_pembayaran'),$model->metode_pembayaran);
                            }
                        ],
                        [
                            'attribute' => 'validasi',
                            'label' => 'Status Validasi',
                            'value' => function($model){
                                return $validasi = ($model->validasi)? 'Sudah Validasi':'Belum Validasi';
                            }
                        ],[
                            'label' => 'Detail',
                            'format' => 'raw',
                            'value' => function($model){
                                return a('Detail',['/cart/detail','id'=> $model->id_order]);
                            }
                        ]

                    ],
                ])?>
            </div>
            <?php
        }else{
            echo Html::tag('h3','Silahkan cek pesanan anda');
        }
        ?>


        <div class="buttons">
            <div class="pull-left"><a href="<?= Url::to(['/product'])?>" class="btn btn-default">Kembali Belanja</a></div>
        </div>
    </div>
    <!--Middle Part End -->
</div>

frontend/views/cart/check-out.php
<?php
/**
 * Created by PhpStorm.
 * User: AcenetDev
 * Date: 1/31/2018
 * Time: 1:45 AM
 * @var $this \yii\web\View
 * @var $model \common\models\Order
 */

use yii\bootstrap\Html;
use yii\grid\GridView;

$this->title = Yii::t('app','Check Out');
?>

<div class="row">
    <!--Middle Part Start-->
    <div id="content" class="col-sm-12">
        <h1 class="title">Checkout</h1>
        <?php
        if(Yii::$app->session->getFlash('error-order')){
            echo \yii\bootstrap\Html::errorSummary(Yii::$app->session->getFlash('error-order'));
        }
        ?>
        <?php
        $form = \yii\bootstrap\ActiveForm::begin([
            'action' => ['proses-order'],
//            'method' => 'POST'
        ]);
        ?>
        <?= $form->field($model,'ongkir')->hiddenInput()->label(false);?>
        <div class="row">
            <div class="col-sm-4">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title"><i class="fa fa-user"></i> Your Personal Details</h4>
                    </div>
                    <div class="panel-body">
                        <fieldset id="account">
                            <?= $form->field($model,'nama')->textInput();?>
                            <?= $form->field($model,'no_telp')->textInput();?>
                        </fieldset>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title"><i class="fa fa-book"></i> Your Address</h4>
                    </div>
                    <div class="panel-body">
                        <fieldset id="address" class="required">

                            <?= $form->field($model,'alamat')->textarea();?>
                            <?= $form->field($model,'kota')->textInput();?>
                            <?= $form->field($model,'provinsi')->textInput();?>
                            <?= $form->field($model,'kode_pos')->textInput();?>
                        </fieldset>
                    </div>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title"><i class="fa fa-shopping-cart"></i> Shopping cart</h4>
                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <?php
                                    if(Yii::$app->cart->getCount()){
                                        ?>
                                        <div class="table-responsive">
                                            <?= GridView::widget([
                                                'dataProvider' => $dataProvider,
                                                'layout' => '{items}',
                                                'columns' => [
                                                    [
                                                        'attribute' => 'images',
                                                        'label' => Yii::t('app', 'Foto'),
                                                        'format' => 'html',
                                                        'value' => function ($model) {
                                                            return img($model->getThumbUploadUrl('images'),['width' => 75, 'class' =>'img-thumbnail']);
                                                        },
                                                        'contentOptions' => [
                                                            'style' => 'width: 15%',
                                                            'class'=>"text-center"
                                                        ],
                                                    ],
                                                    [
                                                        'attribute' => 'nama',
                                                        'label' => Yii::t('app', 'Nama Produk'),
                                                        'format' => 'html',
                                                        'value' => function ($model) {
                                                            return a($model->nama, ['/product/view', 'id' => $model->id_produk]) . '<br>'.'<p>'.$model->kategori->nama_kategori.'</p>';
                                                        },
                                                    ],
                                                    [
                                                        'format' => 'raw',
                                                        'attribute' => 'quantity',
                                                        'label' => 'Quantity',
                                                        'headerOptions' => [
                                                            'width' => '80px'
                                                        ],
                                                        'contentOptions' => [
                                                            'class'=>"text-right"
                                                        ],
                                                        'value' => function ($model) {
                                                            return $model->getQuantity();
                                                        },
                                                    ],[
                                                        'attribute' => 'price',
                                                        'format' => 'currency',
                                                        'headerOptions' => [
                                                            'width' => '120px'
                                                        ],
                                                        'contentOptions' => [
                                                            'class'=>"text-right"
                                                        ],
                                                        'label' => Yii::t('app', 'Harga'),
                                                    ],
                                                    [
                                                        'label' => 'Total',
                                                        'format' => 'currency',
                                                        'headerOptions' => [
                                                            'width' => '120px'
                                                        ],
                                                        'contentOptions' => [
                                                            'class'=>"text-right"
                                                        ],
                                                        'value' => function ($model) {
                                                            return $model->getCost();
                                                        }
                                                    ]
                                                ],
                                            ])?>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-4 col-sm-offset-8">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <td class="text-right"><strong>Sub Total:</strong></td>
                                                        <td class="text-right" id="txtsub_total"><?= Yii::$app->formatter->asCurrency(Yii::$app->cart->getCost()) ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-right"><strong>Biaya Pengiriman</strong></td>
                                                        <td class="text-right" id="txtongkir"><?= formatter()->asCurrency($model->ongkir)?></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-right"><strong>Total:</strong></td>
                                                        <td class="text-right" id="txttotal"><?= Yii::$app->formatter->asCurrency($model->ongkir + Yii::$app->cart->getCost()) ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                        <?php
                                    }else{
                                        echo Html::tag('h3','Maaf anda tidak memiliki produk di keranjang belanja');
                                    }
                                    ?>

                                </div>
                                <div class="buttons">
                                    <div class="pull-right">
                                        <?= a('Update Cart',['index'],['class' => 'btn btn-success'])?>
                                        <input type="submit" class="btn btn-primary" id="button-confirm" value="Confirm Order">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <?php \yii\bootstrap\ActiveForm::end()?>
    </div>
    <!--Middle Part End -->
</div>
    

frontend/views/cart/konfirmasi.php
<?php
/**
 * Created by PhpStorm.
 * User: AcenetDev
 * Date: 1/31/2018
 * Time: 1:53 AM
 * @var $model \common\models\Order
 * @var $this \yii\web\View
 */


use yii\bootstrap\Html;

$this->title = 'Konfirmasi Pembayaran';
$form = \yii\bootstrap\ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]);
?>
<h1>Konfirmasi Pembayaran</h1>
<h2> Silahkan melakukan pembayaran dengan cara transfer ke rekening BCA: 669035126 Atas dewik ambarwati </h2>
<div class="row">
    <div class="col-md-6">
        <?= $form->field($model,'id_order')->dropDownList(\yii\helpers\ArrayHelper::map(\common\models\Order::find()
            ->where([
                'id_pelanggan' => Yii::$app->user->id,
                'bukti_pembayaran' => null
            ])->all(),'id_order','id_order'))?>
        <?= $form->field($model,'metode_pembayaran')->dropDownList(param('metode_pembayaran'))?>
        <?= $form->field($model,'bukti_pembayaran')->fileInput()?>
        <?= $form->field($model,'nama_akun')->textInput()?>
        <?= $form->field($model,'no_rekening')->textInput()?>
        <?= $form->field($model,'bank')->textInput()?>
        <div class="form-group">
            <?= Html::submitButton(Yii::t('app', 'Kirim'), ['class' => 'btn btn-success']) ?>
        </div>
    </div>
</div>
<?php \yii\bootstrap\ActiveForm::end()?>

frontend/views/cart/orderSuccess.php
<?php
/**
 * Created by PhpStorm.
 * User: ASUS
 * Date: 10/04/2018
 * Time: 23:22
 * Project: pie-susu-vanie
 *
 * @var $this \yii\web\View
 * @var $model \common\models\Order
 */

use yii\grid\GridView;

$this->title = 'Order Sukses';
$dataProvider = new \yii\data\ActiveDataProvider([
    'query' => $model->getDetailOrders(),
    'pagination' => false,
    'sort' => false
]);
?>
<div class="row">
    <div class="col-md-12">
        <h2 class="text-center">TERIMAKASIH SUDAH BERBELANJA</h2>
        <h1 class="text-center">PIE SUSU VANIE</h1>
        <p>Pesanan anda telah berhasil di proses. Silahkan konfirmasi pembayaran anda. <?= a('Konfirmasi',['/cart/konfirmasi-pembayaran','id'=> $model->id_order])?></p>
        <h2> Silahkan melakukan pembayaran dengan cara transfer ke rekening BCA: 669035126 Atas dewik ambarwati </h2>
		<h1>No Order: #<?= $model->id_order?></h1>
        <div class="col-md-6">
            <?= \yii\widgets\DetailView::widget([
                'model' => $model,
                'options' => [
                    ['class' => 'table detail-view']
                ],
                'template' => '<tr><th width="130px">{label}</th><td>{value}</td></tr>',
                'attributes' => [
                    'nama',
                    'alamat',
                    'no_telp',

                ]
            ])?>
        </div>
        <div class="col-md-6">
            <?= \yii\widgets\DetailView::widget([
                'model' => $model,
                'options' => [
                    ['class' => 'table detail-view']
                ],
                'template' => '<tr><th width="130px">{label}</th><td>{value}</td></tr>',
                'attributes' => [
                    'kota',
                    'provinsi',
                    'kode_pos',

                ]
            ])?>
        </div>
    </div>
    <div class="col-md-12">
        <h3>Daftar pesanan anda</h3>
        <?= GridView::widget([
            'dataProvider' => $dataProvider,
            'columns' => [
                'produk.nama:text:Nama Produk',
                'jumlah:decimal',
                'harga:currency: Harga Satuan',
                [
                    'label' => 'Sub Total',
                    'format' => 'currency',
                    'value' => function($model){
                        return $model->harga * $model->jumlah;
                    }
                ]
            ]
        ])?>
    </div>
</div>
<div class="row">
    <div class="col-sm-4 col-sm-offset-8">
        <table class="table table-bordered">
            <tr>
                <td class="text-right"><strong>Bruto:</strong></td>
                <td class="text-right"><?= Yii::$app->formatter->asCurrency($model->total_harga - param('biaya_pengiriman')) ?></td>
            </tr>
            <tr>
                <td class="text-right"><strong>Biaya Pengiriman</strong></td>
                <td class="text-right"><?= formatter()->asCurrency(param('biaya_pengiriman'))?></td>
            </tr>
            <tr>
                <td class="text-right"><strong>Total:</strong></td>
                <td class="text-right"><?= Yii::$app->formatter->asCurrency($model->total_harga) ?></td>
            </tr>
        </table>
    </div>
</div>